Skip to main content
GET
/
threads
/
{thread_id}
cURL
curl https://api.portkey.ai/v1/threads/thread_abc123 \
  -H "Content-Type: application/json" \
  -H "x-portkey-api-key: $PORTKEY_API_KEY" \
  -H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
  -H "OpenAI-Beta: assistants=v2"
from portkey_ai import Portkey

client = Portkey(
api_key = "PORTKEY_API_KEY",
virtual_key = "PROVIDER_VIRTUAL_KEY"
)

my_thread = client.beta.threads.retrieve("thread_abc123")
print(my_thread)
import Portkey from 'portkey-ai';

const client = new Portkey({
apiKey: 'PORTKEY_API_KEY',
virtualKey: 'PROVIDER_VIRTUAL_KEY'
});

async function main() {
const myThread = await client.beta.threads.retrieve(
"thread_abc123"
);

console.log(myThread);
}

main();


{
  "id": "<string>",
  "object": "thread",
  "created_at": 123,
  "tool_resources": {
    "code_interpreter": {
      "file_ids": []
    },
    "file_search": {
      "vector_store_ids": [
        "<string>"
      ]
    }
  },
  "metadata": {}
}

Authorizations

x-portkey-api-key
string
header
required
x-portkey-virtual-key
string
header
required

Path Parameters

thread_id
string
required

The ID of the thread to retrieve.

Response

200 - application/json

OK

Represents a thread that contains messages.

id
string
required

The identifier, which can be referenced in API endpoints.

object
enum<string>
required

The object type, which is always thread.

Available options:
thread
created_at
integer
required

The Unix timestamp (in seconds) for when the thread was created.

tool_resources
object | null
required

A set of resources that are made available to the assistant's tools in this thread. The resources are specific to the type of tool. For example, the code_interpreter tool requires a list of file IDs, while the file_search tool requires a list of vector store IDs.

metadata
object | null
required

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.

Last modified on April 23, 2026